Subject: Re: bug#25138: failing hackage import

From: Dave Love <[email-masked]>
Date: Mon, 12 Dec 2016 13:40:59 +0000

Ludovic Courtès <[email-masked]> writes:

> I’m seeing a different error:
>
> --8<---------------cut here---------------start------------->8---
> $ git describe
> v0.11.0-3322-gf80b4d2
> $ ./pre-inst-env guix import hackage -t darcs
> Syntax error: unexpected token : (buildable (False)) (at line 494, column 4)
> Syntax error: unexpected end of input
> guix import: error: failed to download cabal file for package 'darcs'
> --8<---------------cut here---------------end--------------->8---

That's what I saw with 0.11, but the new version with the backtrace
seemed a worthwhile improvement!  (I tried an update after looking for a
way to configure generating backtraces and not finding one for guix or
an environment variable for guile that might have done it.)